com.verisign.epp.codec.org

## Enum EPPOrgStatus

- java.lang.Object
- - java.lang.Enum<EPPOrgStatus>
  - - com.verisign.epp.codec.org.EPPOrgStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<EPPOrgStatus>

      public enum EPPOrgStatus
      extends java.lang.Enum<EPPOrgStatus>
      implements java.io.Serializable, java.lang.Cloneable

  Statuses of the organization, with one of the following values:
  - `ok` - This is the normal status value for an object that has no pending operations or prohibitions. This value is set and removed by the server as other status values are added or removed.
  - `hold` - Organization transform commands and new links MUST be rejected.
  - `terminated` - The organization which has been terminated MUST NOT be linked. Organization transform commands and new links MUST be rejected.
  - `linked` - The organization object has at least one active association with another object. The "linked" status is not explicitly set by the client. Servers SHOULD provide services to determine existing object associations.
  - `clientLinkProhibited` or `serverLinkProhibited` - Requests to add new links to the organization MUST be rejected.
  - `clientUpdateProhibited` or `serverUpdateProhibited` - Requests to update the object (other than to remove this status) MUST be rejected.
  - `clientDeleteProhibited` or `serverDeleteProbited` - Requests to delete the object MUST be rejected.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `clientDeleteProhibited`
    `clientLinkProhibited`
    `clientUpdateProhibited`
    `hold`
    `linked`
    `ok`
    `serverDeleteProbited`
    `serverLinkProhibited`
    `serverUpdateProhibited`
    `terminated`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPOrgStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPPOrgStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ok

          public static final EPPOrgStatus ok

    - #### hold

          public static final EPPOrgStatus hold

    - #### terminated

          public static final EPPOrgStatus terminated

    - #### linked

          public static final EPPOrgStatus linked

    - #### clientLinkProhibited

          public static final EPPOrgStatus clientLinkProhibited

    - #### serverLinkProhibited

          public static final EPPOrgStatus serverLinkProhibited

    - #### clientUpdateProhibited

          public static final EPPOrgStatus clientUpdateProhibited

    - #### serverUpdateProhibited

          public static final EPPOrgStatus serverUpdateProhibited

    - #### clientDeleteProhibited

          public static final EPPOrgStatus clientDeleteProhibited

    - #### serverDeleteProbited

          public static final EPPOrgStatus serverDeleteProbited

  - ### Method Detail

    - #### values

          public static EPPOrgStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPOrgStatus c : EPPOrgStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPOrgStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null